import sys


class Foo(int):
    def __init__(self, x):
        super().__init__()
        self.q = x + 1


# print(Foo(3).q)
print(sys.getsizeof(3))
print(sys.getsizeof(Foo(3)))

# from typing import List

# def contains_321(ints: List[int]) -> bool:
#     try:
#         i3 = ints.index(3)
#         i2 = ints[i3+1:].index(2)
#         i1 = ints[i2+1:].index(1)
#         return True
#     except ValueError:
#         return False

# print(contains_321([3,2,1]))
# print(contains_321([3,1,2,1,1]))
# print(contains_321([1,2,3]))
